from ariadne import ObjectType

from bot_data.abc.query_abc import QueryABC
from bot_data.model.server import Server


class ServerQueryType(QueryABC):

    def __init__(self):
        QueryABC.__init__(self, 'Server')

        self.set_field('id', self.resolve_id)
        self.set_field('discord_id', self.resolve_discord_id)

    @staticmethod
    def resolve_id(server: Server, *_):
        return server.server_id

    @staticmethod
    def resolve_discord_id(server: Server, *_):
        return server.discord_server_id
